<!--- get the contact query from the event and set a default empty query just in case 
		it doesn't exist for some reason --->
<cfset allContacts = event.getArg("allContacts", QueryNew("id")) />

<h3>Contact List</h3>

<!--- if a message exists in the event, display it --->
<cfif event.isArgDefined("message")>
	<cfoutput><p><strong>#event.getArg("message")#</strong></p></cfoutput>
</cfif>

<cfif allContacts.RecordCount GT 0>
		<cfoutput query="allContacts">
			<table border="0" cellspacing="1" cellpadding="2" bgcolor="##999999">
				<tr bgcolor="##ffffff">
					<td align="right" valign="top"><strong>Name:</strong></td>
					<td valign="top">
						#allContacts.first_name# #allContacts.last_name#
						[<a href="index.cfm?event=editContact&id=#allContacts.id#">Edit</a> |
						<a href="index.cfm?event=deleteContact&id=#allContacts.id#">Delete</a>]
					</td>
				</tr>
				<tr bgcolor="##ffffff">
					<td valign="top"><strong>Address:</strong></td>
					<td valign="top">
						#allContacts.street#<br />
						#allContacts.city#, #allContacts.state#   #allContacts.zip#<br />
					</td>
				</tr>
			</table>
			<br />
		</cfoutput>
	<cfelse>
		<p><em>- no contacts in system -</em></p>
</cfif>
